import { ref as x, h as y, defineComponent as A, reactive as W, computed as R, watch as S, onMounted as M, resolveComponent as F, openBlock as p, createElementBlock as h, unref as m, createVNode as l, withCtx as s, createElementVNode as k, createCommentVNode as Q, Fragment as K, renderList as L, createBlock as V, createTextVNode as B, toDisplayString as Y } from "vue";
import { Card as C, Tree as O, Button as U } from "ant-design-vue";
import { useRouter as Z } from "vue-router";
import { C as j } from "./index.40ace138.js";
import { d as w, n as z, W as E, h as G, p as X, _ as q } from "./index.e1ea4f73.js";
import { W as H } from "./WorkflowBackModal.b37170ba.js";
import { W as J } from "./WorkflowFormRenderDrawer.bf54d327.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.234e856b.js";
const D = x([]), T = x([]);
function $() {
  return new Promise((o, r) => {
    w("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((t) => {
      const { data: n } = t;
      D.value = n, n.length && T.value.push(n[0].id), o(t);
    }).catch((t) => {
      r(t);
    });
  });
}
function ee() {
  return new Promise((o, r) => {
    o([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function te(o) {
  const { archiveStatus: r, instanceRunStatus: t, instanceStatus: n } = o;
  return r ? { color: "success", text: "\u5DF2\u5F52\u6863" } : t === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : n ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function ae(o = {}, r) {
  return {
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: u }) {
          const { flowId: i, instanceId: f, id: e, title: b } = u, g = { flowId: i, instanceId: f, taskId: e };
          return y("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              z({ params: g, router: r });
            }
          }, b);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u63A5\u6536\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "status",
        customRender: function({ record: u }) {
          const i = te(u);
          return y(E, {
            color: i.color,
            value: i.text
          });
        },
        width: 100
      },
      {
        title: "\u4EFB\u52A1\u72B6\u6001",
        dataIndex: "executeType",
        customRender: function({ record: u }) {
          return y(E, {
            dict: "WORKFLOW_EXECUTE_TYPE",
            value: u.status
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 60,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(u) {
              o.modal.openModal({ data: u });
            }
          }
        ]
      }
    ]
  };
}
function P(o = {}) {
  const r = o.tableQuery && o.tableQuery.categoryId, t = o.locationQuery || {};
  return {
    formProps: {
      baseColAttr: {
        span: 4
      },
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !t.noTree,
        defaultValue: r || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": D,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const oe = { class: "workflow-manage" }, re = {
  key: 0,
  class: "left"
}, ne = { class: "tree-box" }, ue = { class: "right" }, le = /* @__PURE__ */ B("\u5BFC\u51FA"), se = /* @__PURE__ */ A({
  __name: "SanZhiWorkflowCompleted",
  setup(o) {
    const r = Z(), t = {};
    function n(a) {
      t.table = a;
    }
    function u(a) {
      t.modal = a;
    }
    function i(a) {
      t.workflowForm = a;
    }
    function f(a) {
      t.backModal = a;
    }
    const e = W({
      locationQuery: G(),
      keyword: "",
      treeData: D,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: T,
      formProps: P(),
      tableProps: ae(t, r),
      tabsList: [],
      tableQuery: {
        status: 1,
        instanceStatus: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), b = R(() => !e.locationQuery.noTree);
    S(
      () => e.selectedKeys,
      (a, d) => {
        const _ = a[0] || "";
        e.tableQuery.categoryId = _, t.table.reload();
      },
      { deep: !0 }
    );
    function g() {
      return w("apis").getWorkflowTaskPageList;
    }
    function v() {
      const a = t.table.getParams();
      e.loading = !0, w("apis").getWorkflowTaskExport({ ...a }).then((d) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    return M(() => {
      ee().then((a) => {
        e.tabsList = a;
      }), $().then(() => {
        e.formProps = P(e);
      });
    }), (a, d) => {
      const _ = F("a-radio-button"), N = F("a-radio-group");
      return p(), h("div", oe, [
        m(b) ? (p(), h("div", re, [
          l(m(C), { size: "small" }, {
            default: s(() => [
              k("div", ne, [
                l(m(O), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": d[0] || (d[0] = (c) => e.selectedKeys = c),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : Q("", !0),
        k("div", ue, [
          l(m(C), { size: "small" }, {
            default: s(() => [
              l(m(j), {
                api: g(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: n
              }, {
                middle: s(() => [
                  l(N, {
                    value: e.tableQuery.instanceStatus,
                    "onUpdate:value": d[1] || (d[1] = (c) => e.tableQuery.instanceStatus = c),
                    onChange: t.table.reload
                  }, {
                    default: s(() => [
                      (p(!0), h(K, null, L(e.tabsList, (c, I) => (p(), V(_, {
                        value: c.tabParam,
                        key: I
                      }, {
                        default: s(() => [
                          B(Y(c.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: s(() => [
                  l(m(U), {
                    type: "primary",
                    onClick: v,
                    loading: e.loading
                  }, {
                    default: s(() => [
                      le
                    ]),
                    _: 1
                  }, 8, ["loading"])
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        l(X, { onRegister: u }),
        l(H, { onRegister: f }),
        l(J, { onRegister: i })
      ]);
    };
  }
});
const he = /* @__PURE__ */ q(se, [["__scopeId", "data-v-6919e0eb"]]);
export {
  he as default
};
