import { defineComponent as h, ref as R, computed as E, nextTick as T, resolveComponent as g, openBlock as B, createBlock as P, withCtx as c, createVNode as l, reactive as v, watch as M, createElementVNode as k, onMounted as S, createElementBlock as j, unref as y, createTextVNode as x } from "vue";
import { Card as _, Tree as Z, Button as Q, message as D } from "ant-design-vue";
import { useRouter as z } from "vue-router";
import { e as N, _ as b, m as q, d as w, j as F, k as A } from "./index.e1ea4f73.js";
import H from "./SanZhiWorkflowVue3.0b684b28.js";
import { C as L } from "./index.40ace138.js";
import "sanzhi-form-design-vue3";
import "axios";
const G = h({
  name: "WorkflowNoticeModal",
  components: { ConfigForm: N },
  props: {
    formData: {
      type: [Object],
      default: () => ({})
    },
    open: {
      type: [Boolean],
      default: !1
    }
  },
  emits: ["update:open", "update:formData", "handleOk"],
  setup(o, { emit: n }) {
    const m = {
      layout: "horizontal",
      columns: [{
        label: "\u901A\u77E5\u5F00\u5173",
        field: "status",
        component: "a-switch",
        componentProps: {}
      }, {
        label: "\u901A\u77E5\u65E5\u671F",
        field: "remindDay",
        required: !0,
        component: "a-input-number",
        componentProps: {
          addonBefore: "\u81EA\u53D1\u8D77\u65E5",
          addonAfter: "\u5929\u540E\u901A\u77E5",
          min: 1
        }
      }, {
        label: "\u901A\u77E5\u5185\u5BB9",
        field: "content",
        required: !0,
        component: "a-textarea",
        componentProps: {
          placeholder: "\u8BF7\u8F93\u5165\u901A\u77E5\u5185\u5BB9-\u4F7F\u7528{}\u4F5C\u4E3A\u6A21\u677F\u8BED\u6CD5"
        }
      }, {
        label: "\u6392\u9664\u4EBA\u5458",
        field: "excludeUser",
        component: "input-user-select",
        componentProps: {}
      }, {
        label: "\u901A\u77E5\u4EBA\u5458",
        field: "remindUser",
        component: "input-user-select",
        componentProps: {}
      }]
    }, i = {};
    function u(p) {
      Object.assign(i, p);
    }
    const f = R(!1), e = E({
      get: () => (f.value = !1, o.open && T(() => {
        i.resetFields();
      }), o.open),
      set: (p) => {
        n("update:open", p);
      }
    }), d = E({
      get: () => o.formData,
      set: (p) => {
        n("update:formData", p);
      }
    });
    async function s() {
      try {
        await i.validateFields();
      } catch {
        return;
      }
      f.value = !0, n("handleOk", d.value);
    }
    return { formProps: m, open: e, formData: d, loading: f, registerForm: u, handleOk: s };
  }
});
function J(o, n, m, i, u, f) {
  const e = g("ConfigForm"), d = g("a-modal");
  return B(), P(d, {
    visible: o.open,
    "onUpdate:visible": n[1] || (n[1] = (s) => o.open = s),
    okButtonProps: { loading: o.loading },
    title: "\u901A\u77E5\u8BBE\u7F6E",
    onOk: o.handleOk
  }, {
    default: c(() => [
      l(e, {
        modelValue: o.formData,
        "onUpdate:modelValue": n[0] || (n[0] = (s) => o.formData = s),
        formProps: o.formProps,
        onRegister: o.registerForm
      }, null, 8, ["modelValue", "formProps", "onRegister"])
    ]),
    _: 1
  }, 8, ["visible", "okButtonProps", "onOk"]);
}
const X = /* @__PURE__ */ b(G, [["render", J]]), Y = h({
  name: "WorkflowNoticeModal",
  components: { ConfigForm: N, SanZhiWorkflowVue3: H },
  props: {
    open: {
      type: [Boolean],
      default: !1
    },
    isEdit: {
      type: [Boolean],
      default: !1
    },
    workflowProps: {
      type: [Object],
      default: function() {
        return {};
      }
    },
    workflowData: {
      type: [Object],
      default: function() {
        return {};
      }
    }
  },
  emits: ["update:open"],
  setup(o, { emit: n }) {
    const m = E({
      get: () => o.open,
      set: (u) => {
        n("update:open", u);
      }
    }), i = v({
      workflowData: {}
    });
    return M(
      () => o.workflowData,
      (u) => {
        q(i.workflowData, u);
      },
      { immediate: !0 }
    ), { open: m, state: i };
  }
}), ee = /* @__PURE__ */ k("div", { class: "actions-box" }, null, -1);
function te(o, n, m, i, u, f) {
  const e = g("SanZhiWorkflowVue3"), d = g("a-drawer");
  return B(), P(d, {
    width: "100%",
    bodyStyle: { padding: "0" },
    visible: o.open,
    "onUpdate:visible": n[1] || (n[1] = (s) => o.open = s),
    title: o.isEdit ? "\u7F16\u8F91\u6D41\u7A0B" : "\u65B0\u589E\u6D41\u7A0B"
  }, {
    extra: c(() => [
      ee
    ]),
    default: c(() => [
      l(e, {
        workflowProps: o.workflowProps,
        modelValue: o.state.workflowData,
        "onUpdate:modelValue": n[0] || (n[0] = (s) => o.state.workflowData = s)
      }, null, 8, ["workflowProps", "modelValue"])
    ]),
    _: 1
  }, 8, ["visible", "title"]);
}
const oe = /* @__PURE__ */ b(Y, [["render", te]]), ne = { class: "workflow-manage" }, ae = { class: "left" }, re = { class: "tree-box" }, ue = { class: "right" }, se = /* @__PURE__ */ x("\u65B0\u589E\u6D41\u7A0B"), ie = /* @__PURE__ */ h({
  __name: "SanZhiWorkflowManage",
  setup(o) {
    const n = z(), i = {
      columns: [
        {
          title: "\u6D41\u7A0B\u540D\u79F0",
          dataIndex: "name"
        },
        {
          title: "\u6D41\u7A0B\u7B80\u79F0",
          dataIndex: "shortName"
        },
        {
          title: "\u6D41\u7A0Bid",
          dataIndex: "id"
        },
        {
          title: "\u64CD\u4F5C",
          dataIndex: "actions",
          width: 110,
          buttons: [
            {
              title: "\u7F16\u8F91",
              icon: "form-outlined",
              props: {
                type: "primary"
              },
              key: "edit"
            },
            {
              title: "\u53D1\u5E03",
              icon: "upload-outlined",
              props: {
                type: "success"
              },
              key: "publish"
            },
            {
              title: "\u901A\u77E5",
              icon: "notification-outlined",
              props: {},
              key: "notice"
            },
            {
              title: "\u5220\u9664",
              icon: "delete-outlined",
              props: {
                danger: !0
              },
              key: "delete"
            }
          ]
        }
      ]
    }, u = {};
    function f(a) {
      Object.assign(u, a);
    }
    const e = v({
      keyword: "",
      treeData: [],
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: [],
      tableQuery: {},
      tableData: {},
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: "",
      workflowProps: {}
    });
    M(
      () => e.selectedKeys,
      (a, t) => {
        const r = a[0];
        !r || (e.tableQuery.categoryId = r, u.reload());
      },
      { deep: !0 }
    );
    function d() {
      w("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((a) => {
        const { data: t } = a;
        e.treeData = t, t.length && e.selectedKeys.push(t[0].id);
      });
    }
    function s() {
      return w("apis").getWorkflowPageList;
    }
    function p({ item: a, record: t }) {
      const { key: r } = a;
      if (r === "edit") {
        const { id: $ } = t;
        F({ params: { flowId: $ }, router: n }).then((U) => {
          const { type: K } = U;
          K === "drawer" && (e.isEdit = !0, e.flowId = t.id, e.openEditModal = !0);
        });
      }
      r === "publish" && W(t), r === "notice" && (e.currentEdit = t, e.openNoticeModal = !0, I(t.id)), r === "delete" && C(t);
    }
    async function W(a) {
      try {
        await A({
          title: "\u63D0\u793A",
          content: "\u786E\u8BA4\u53D1\u5E03\u5F53\u524D\u6D41\u7A0B?"
        });
      } catch {
        return;
      }
      w("apis").publishWorkflowById({ id: a.id }).then(() => {
        D.success("\u53D1\u5E03\u6210\u529F");
      });
    }
    async function C(a) {
      try {
        await A({
          title: "\u63D0\u793A",
          content: "\u786E\u8BA4\u5220\u9664\u5F53\u524D\u6D41\u7A0B?"
        });
      } catch {
        return;
      }
      w("apis").deleteWorkflowById({ id: a.id }).then(() => {
        D.success("\u5220\u9664\u6210\u529F"), u.reload();
      });
    }
    function I(a) {
      w("apis").getWorkflowRemind({ flowId: a }).then((t) => {
        e.notice = { ...t.data };
      });
    }
    function O() {
      w("apis").addOrUpdateWorkflowRemind({
        body: { ...e.notice, status: !!e.notice.status, id: e.currentEdit.id }
      }).then(() => {
        D.success("\u8BBE\u7F6E\u6210\u529F"), e.openNoticeModal = !1;
      });
    }
    function V() {
      F({
        params: { categoryId: e.tableQuery.categoryId },
        router: n
      }).then((a) => {
        const { type: t } = a;
        t === "drawer" && (e.isEdit = !1, e.workflowProps = {}, e.workflowData = { attr: { type: e.tableQuery.categoryId } }, e.openEditModal = !0);
      });
    }
    return S(() => {
      d();
    }), (a, t) => (B(), j("div", ne, [
      k("div", ae, [
        l(y(_), { size: "small" }, {
          default: c(() => [
            k("div", re, [
              l(y(Z), {
                "tree-data": e.treeData,
                selectedKeys: e.selectedKeys,
                "onUpdate:selectedKeys": t[0] || (t[0] = (r) => e.selectedKeys = r),
                fieldNames: e.fieldNames
              }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
            ])
          ]),
          _: 1
        })
      ]),
      k("div", ue, [
        l(y(_), { size: "small" }, {
          default: c(() => [
            l(y(L), {
              api: s(),
              autoGet: !1,
              extraParams: e.tableQuery,
              tableProps: i,
              onHandleAction: p,
              onRegister: f
            }, {
              formRight: c(() => [
                l(y(Q), {
                  type: "primary",
                  onClick: V
                }, {
                  default: c(() => [
                    se
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }, 8, ["api", "extraParams"])
          ]),
          _: 1
        })
      ]),
      l(X, {
        open: e.openNoticeModal,
        "onUpdate:open": t[1] || (t[1] = (r) => e.openNoticeModal = r),
        formData: e.notice,
        "onUpdate:formData": t[2] || (t[2] = (r) => e.notice = r),
        onHandleOk: O
      }, null, 8, ["open", "formData"]),
      l(oe, {
        open: e.openEditModal,
        "onUpdate:open": t[3] || (t[3] = (r) => e.openEditModal = r),
        isEdit: e.isEdit,
        workflowProps: e.workflowProps
      }, null, 8, ["open", "isEdit", "workflowProps"])
    ]));
  }
});
const ke = /* @__PURE__ */ b(ie, [["__scopeId", "data-v-57f6deda"]]);
export {
  ke as default
};
