import { ref as k, computed as A, h as I, defineComponent as Y, reactive as O, watch as D, onMounted as Z, resolveComponent as f, openBlock as b, createElementBlock as B, unref as c, createVNode as u, withCtx as r, createElementVNode as x, createCommentVNode as j, Fragment as z, renderList as G, createBlock as $, createTextVNode as _, toDisplayString as q } from "vue";
import { Card as T, Tree as H, Button as J, message as E } from "ant-design-vue";
import { useRouter as X } from "vue-router";
import { C as ee } from "./index.40ace138.js";
import { d as p, n as te, W as ae, h as oe, D as ne, p as ue, k as F, _ as re } from "./index.e1ea4f73.js";
import { W as se } from "./WorkflowBackModal.b37170ba.js";
import { W as le } from "./WorkflowFormRenderDrawer.bf54d327.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.234e856b.js";
const v = k([]), R = k([]), y = k([]), N = A(() => y.value.map((n) => n.instanceId)), ie = A(() => y.value.map((n) => n.id));
function ce() {
  return new Promise((o, n) => {
    p("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((a) => {
      const { data: s } = a;
      v.value = s, s.length && R.value.push(s[0].id), o(a);
    }).catch((a) => {
      n(a);
    });
  });
}
function de() {
  return new Promise((o, n) => {
    o([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function me(o) {
  const { archiveStatus: n, instanceRunStatus: a, instanceStatus: s } = o;
  return n ? { color: "success", text: "\u5DF2\u5F52\u6863" } : a === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : s ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function pe(o = {}, n) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: l }) {
          const { flowId: i, instanceId: g, id: e, title: h } = l, w = { flowId: i, instanceId: g, taskId: e };
          return I("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              te({ params: w, router: n });
            }
          }, h);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: l }) {
          const i = me(l);
          return I(ae, {
            color: i.color,
            value: i.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 60,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(l) {
              o.modal.openModal({ data: l });
            }
          }
        ]
      }
    ],
    rowSelection: {
      onChange: (l, i) => {
        y.value = i;
      },
      selectedRowKeys: ie
    }
  };
}
function M(o = {}) {
  const n = o.tableQuery && o.tableQuery.categoryId, a = o.locationQuery || {};
  return {
    formProps: {
      layout: "inline",
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !a.noTree,
        defaultValue: n || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": v,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const fe = { class: "workflow-manage" }, ye = {
  key: 0,
  class: "left"
}, _e = { class: "tree-box" }, be = { class: "right" }, Ee = /* @__PURE__ */ _(" \u5BFC\u51FA "), ge = /* @__PURE__ */ _("\u4E00\u952E\u50AC\u529E"), he = /* @__PURE__ */ _("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65"), we = /* @__PURE__ */ _(" \u50AC\u529E "), Ce = /* @__PURE__ */ Y({
  __name: "SanZhiWorkflowMine",
  setup(o) {
    const n = X(), a = {};
    function s(t) {
      a.table = t;
    }
    function l(t) {
      a.modal = t;
    }
    function i(t) {
      a.workflowForm = t;
    }
    function g(t) {
      a.backModal = t;
    }
    const e = O({
      locationQuery: oe(),
      keyword: "",
      treeData: v,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: R,
      formProps: M(),
      tableProps: pe(a, n),
      tabsList: [],
      tableQuery: {
        status: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), h = A(() => !e.locationQuery.noTree);
    D(
      () => e.selectedKeys,
      (t, d) => {
        const C = t[0] || "";
        e.tableQuery.categoryId = C, a.table.reload();
      },
      { deep: !0 }
    ), D(
      () => e.tableQuery.categoryId,
      () => {
        y.value = [];
      }
    ), D(
      () => e.tableQuery.status,
      () => {
        y.value = [];
      }
    );
    function w() {
      return p("apis").getWorkflowTaskInstanceLaunchPageList;
    }
    function W() {
      const t = a.table.getParams();
      e.loading = !0, p("apis").getWorkflowTaskInstanceLaunchExportExcel({ ...t }).then((d) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    async function L() {
      const t = N.value.length;
      if (!t) {
        E.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await F({
          content: `\u786E\u8BA4\u50AC\u529E\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${t}\u6761`
        });
      } catch {
        return;
      }
      p("apis").remindMyLaunchByInstanceList({ body: N.value }).then(() => {
        E.success("\u50AC\u529E\u6210\u529F");
      });
    }
    async function Q({ key: t }) {
      if (t === "1") {
        try {
          await F({
            content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E48"
          });
        } catch {
          return;
        }
        p("apis").remindMyLaunchByInstanceList({ body: null }).then(() => {
          E.success("\u4E00\u952E\u50AC\u529E\u6210\u529F");
        });
        return;
      }
      try {
        await F({
          content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u4E48"
        });
      } catch {
        return;
      }
      p("apis").remindMyLaunchWaitByInstanceList({ body: null }).then(() => {
        E.success("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u6210\u529F");
      });
    }
    return Z(() => {
      de().then((t) => {
        e.tabsList = t;
      }), ce().then(() => {
        e.formProps = M(e);
      });
    }), (t, d) => {
      const C = f("a-radio-button"), S = f("a-radio-group"), P = f("a-menu-item"), K = f("a-menu"), V = f("a-dropdown-button");
      return b(), B("div", fe, [
        c(h) ? (b(), B("div", ye, [
          u(c(T), { size: "small" }, {
            default: r(() => [
              x("div", _e, [
                u(c(H), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": d[0] || (d[0] = (m) => e.selectedKeys = m),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : j("", !0),
        x("div", be, [
          u(c(T), { size: "small" }, {
            default: r(() => [
              u(c(ee), {
                api: w(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: s
              }, {
                middle: r(() => [
                  u(S, {
                    value: e.tableQuery.status,
                    "onUpdate:value": d[1] || (d[1] = (m) => e.tableQuery.status = m),
                    onChange: a.table.reload
                  }, {
                    default: r(() => [
                      (b(!0), B(z, null, G(e.tabsList, (m, U) => (b(), $(C, {
                        value: m.tabParam,
                        key: U
                      }, {
                        default: r(() => [
                          _(q(m.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: r(() => [
                  u(c(J), {
                    type: "primary",
                    onClick: W,
                    loading: e.loading
                  }, {
                    default: r(() => [
                      Ee
                    ]),
                    _: 1
                  }, 8, ["loading"]),
                  u(V, {
                    type: "danger",
                    onClick: L
                  }, {
                    overlay: r(() => [
                      u(K, { onClick: Q }, {
                        default: r(() => [
                          u(P, { key: "1" }, {
                            default: r(() => [
                              ge
                            ]),
                            _: 1
                          }),
                          u(P, { key: "2" }, {
                            default: r(() => [
                              he
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    icon: r(() => [
                      u(c(ne))
                    ]),
                    default: r(() => [
                      we
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        u(ue, { onRegister: l }),
        u(se, { onRegister: g }),
        u(le, { onRegister: i })
      ]);
    };
  }
});
const Ne = /* @__PURE__ */ re(Ce, [["__scopeId", "data-v-a143089c"]]);
export {
  Ne as default
};
