import { ref as x, h as D, defineComponent as N, reactive as A, computed as W, watch as R, onMounted as M, resolveComponent as F, openBlock as p, createElementBlock as h, unref as m, createVNode as s, withCtx as u, createElementVNode as k, createCommentVNode as Q, Fragment as S, renderList as K, createBlock as L, createTextVNode as E, toDisplayString as V } from "vue";
import { Card as P, Tree as Y, Button as Z } from "ant-design-vue";
import { useRouter as j } from "vue-router";
import { C as z } from "./index.40ace138.js";
import { d as y, n as H, W as O, h as U, p as G, _ as q } from "./index.e1ea4f73.js";
import { W as J } from "./WorkflowBackModal.b37170ba.js";
import { W as X } from "./WorkflowFormRenderDrawer.bf54d327.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.234e856b.js";
const w = x([]), B = x([]);
function $() {
  return new Promise((o, r) => {
    y("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((t) => {
      const { data: n } = t;
      w.value = n, n.length && B.value.push(n[0].id), o(t);
    }).catch((t) => {
      r(t);
    });
  });
}
function ee() {
  return new Promise((o, r) => {
    o([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function te(o) {
  const { archiveStatus: r, instanceRunStatus: t, instanceStatus: n } = o;
  return r ? { color: "success", text: "\u5DF2\u5F52\u6863" } : t === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : n ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function ae(o = {}, r) {
  return {
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: l }) {
          const { flowId: i, instanceId: f, id: e, title: b } = l, g = { flowId: i, instanceId: f, taskId: e };
          return D("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              H({ params: g, router: r });
            }
          }, b);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u63A5\u6536\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u5904\u7406\u65E5\u671F",
        dataIndex: "completedTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: l }) {
          const i = te(l);
          return D(O, {
            color: i.color,
            value: i.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 60,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(l) {
              o.modal.openModal({ data: l });
            }
          }
        ]
      }
    ]
  };
}
function C(o = {}) {
  const r = o.tableQuery && o.tableQuery.categoryId, t = o.locationQuery || {};
  return {
    formProps: {
      baseColAttr: {
        span: 4
      },
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !t.noTree,
        defaultValue: r || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": w,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const oe = { class: "workflow-manage" }, re = {
  key: 0,
  class: "left"
}, ne = { class: "tree-box" }, se = { class: "right" }, le = /* @__PURE__ */ E("\u5BFC\u51FA"), ue = /* @__PURE__ */ N({
  __name: "SanZhiWorkflowPass",
  setup(o) {
    const r = j(), t = {};
    function n(a) {
      t.table = a;
    }
    function l(a) {
      t.modal = a;
    }
    function i(a) {
      t.workflowForm = a;
    }
    function f(a) {
      t.backModal = a;
    }
    const e = A({
      locationQuery: U(),
      keyword: "",
      treeData: w,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: B,
      formProps: C(),
      tableProps: ae(t, r),
      tabsList: [],
      tableQuery: {
        status: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), b = W(() => !e.locationQuery.noTree);
    R(
      () => e.selectedKeys,
      (a, d) => {
        const _ = a[0] || "";
        e.tableQuery.categoryId = _, t.table.reload();
      },
      { deep: !0 }
    );
    function g() {
      return y("apis").getWorkflowTaskInstanceHandlePageList;
    }
    function T() {
      const a = t.table.getParams();
      e.loading = !0, y("apis").getWorkflowTaskInstanceHandleExportExcel({ ...a }).then((d) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    return M(() => {
      ee().then((a) => {
        e.tabsList = a;
      }), $().then(() => {
        e.formProps = C(e);
      });
    }), (a, d) => {
      const _ = F("a-radio-button"), v = F("a-radio-group");
      return p(), h("div", oe, [
        m(b) ? (p(), h("div", re, [
          s(m(P), { size: "small" }, {
            default: u(() => [
              k("div", ne, [
                s(m(Y), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": d[0] || (d[0] = (c) => e.selectedKeys = c),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : Q("", !0),
        k("div", se, [
          s(m(P), { size: "small" }, {
            default: u(() => [
              s(m(z), {
                api: g(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: n
              }, {
                middle: u(() => [
                  s(v, {
                    value: e.tableQuery.status,
                    "onUpdate:value": d[1] || (d[1] = (c) => e.tableQuery.status = c),
                    onChange: t.table.reload
                  }, {
                    default: u(() => [
                      (p(!0), h(S, null, K(e.tabsList, (c, I) => (p(), L(_, {
                        value: c.tabParam,
                        key: I
                      }, {
                        default: u(() => [
                          E(V(c.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: u(() => [
                  s(m(Z), {
                    type: "primary",
                    onClick: T,
                    loading: e.loading
                  }, {
                    default: u(() => [
                      le
                    ]),
                    _: 1
                  }, 8, ["loading"])
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        s(G, { onRegister: l }),
        s(J, { onRegister: f }),
        s(X, { onRegister: i })
      ]);
    };
  }
});
const ye = /* @__PURE__ */ q(ue, [["__scopeId", "data-v-2beb54bd"]]);
export {
  ye as default
};
