import { ref as T, h as w, defineComponent as E, reactive as P, computed as I, watch as W, onMounted as x, openBlock as h, createElementBlock as k, unref as u, createVNode as s, withCtx as p, createElementVNode as F, createCommentVNode as A, createTextVNode as R } from "vue";
import { message as v, Card as b, Tree as N, Button as M } from "ant-design-vue";
import { useRouter as K } from "vue-router";
import { C as S } from "./index.40ace138.js";
import { d as f, n as Q, q as V, W as L, h as O, p as U, _ as Y } from "./index.e1ea4f73.js";
import { W as Z } from "./WorkflowBackModal.b37170ba.js";
import { W as z } from "./WorkflowFormRenderDrawer.bf54d327.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.234e856b.js";
const _ = T([]), D = T([]);
function q() {
  return new Promise((r, i) => {
    f("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((t) => {
      const { data: l } = t;
      _.value = l, l.length && D.value.push(l[0].id), r(t);
    }).catch((t) => {
      i(t);
    });
  });
}
function G(r = {}, i) {
  return {
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: o }) {
          const { flowId: n, instanceId: d, id: e, title: m } = o, g = { flowId: n, instanceId: d, taskId: e };
          return w("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              Q({ params: g, router: i });
            }
          }, m);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u63A5\u6536\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u505C\u7559\u65F6\u95F4",
        dataIndex: "stepName",
        customRender: function({ record: o }) {
          const { receiveTime: n } = o;
          return V()(n).fromNow();
        },
        width: 100
      },
      {
        title: "\u72B6\u6001",
        dataIndex: "status",
        customRender: function({ record: o }) {
          return w(L, {
            dict: "WORKFLOW_TASK_STATUS",
            value: o.status
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 120,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(o) {
              r.modal.openModal({ data: o });
            }
          },
          {
            title: "\u7EC8\u6B62\u5B9E\u4F8B",
            icon: "close-circle-outlined",
            props: {
              type: "primary",
              danger: !0
            },
            key: "end",
            popconfirm: {
              title: "\u786E\u8BA4\u7EC8\u6B62\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F",
              confirm: function(o) {
                const { instanceId: n, title: d } = o;
                !n || f("apis").endFlowByInstanceId({ id: n }).then((e) => {
                  v.success(`\u7EC8\u6B62\u5B9E\u4F8B${d}\u6210\u529F`), r.table.reload();
                });
              }
            }
          },
          {
            title: "\u67E5\u770B\u9000\u56DE\u539F\u56E0",
            icon: "warning-outlined",
            hide: function(o) {
              const { type: n } = o;
              return n != "BACK";
            },
            props: {
              type: "default"
            },
            key: "view_return",
            onClick: function(o) {
              r.backModal.openModal({ data: o });
            }
          }
        ]
      }
    ]
  };
}
function B(r = {}) {
  const i = r.tableQuery && r.tableQuery.categoryId, t = r.locationQuery || {};
  return {
    formProps: {
      baseColAttr: {
        span: 4
      },
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "startTime",
          endTime: "endTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !t.noTree,
        defaultValue: i || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": _,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }, {
        field: "readStatus",
        label: "\u8BFB\u53D6\u72B6\u6001",
        component: "dict-select",
        componentProps: {
          dict: "TASK_READ_STATUS",
          selectProps: {
            allowClear: !0
          }
        }
      }]
    }
  };
}
const $ = { class: "workflow-manage" }, j = {
  key: 0,
  class: "left"
}, H = { class: "tree-box" }, J = { class: "right" }, X = /* @__PURE__ */ R("\u5BFC\u51FA"), ee = /* @__PURE__ */ E({
  __name: "SanZhiWorkflowWait",
  setup(r) {
    const i = K(), t = {};
    function l(a) {
      t.table = a;
    }
    function o(a) {
      t.modal = a;
    }
    function n(a) {
      t.workflowForm = a;
    }
    function d(a) {
      t.backModal = a;
    }
    const e = P({
      locationQuery: O(),
      keyword: "",
      treeData: _,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: D,
      formProps: B(),
      tableProps: G(t, i),
      tableQuery: {
        status: 0,
        instanceStatus: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), m = I(() => !e.locationQuery.noTree);
    W(
      () => e.selectedKeys,
      (a, c) => {
        const y = a[0] || "";
        e.tableQuery.categoryId = y, t.table.reload();
      },
      { deep: !0 }
    );
    function g() {
      return f("apis").getWorkflowTaskPageList;
    }
    function C() {
      const a = t.table.getParams();
      e.loading = !0, f("apis").getWorkflowTaskExcel({ ...a }).then((c) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    return x(() => {
      q().then(() => {
        e.formProps = B(e);
      });
    }), (a, c) => (h(), k("div", $, [
      u(m) ? (h(), k("div", j, [
        s(u(b), { size: "small" }, {
          default: p(() => [
            F("div", H, [
              s(u(N), {
                "tree-data": e.treeData,
                selectedKeys: e.selectedKeys,
                "onUpdate:selectedKeys": c[0] || (c[0] = (y) => e.selectedKeys = y),
                fieldNames: e.fieldNames
              }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
            ])
          ]),
          _: 1
        })
      ])) : A("", !0),
      F("div", J, [
        s(u(b), { size: "small" }, {
          default: p(() => [
            s(u(S), {
              api: g(),
              autoGet: !1,
              extraParams: e.tableQuery,
              tableProps: e.tableProps,
              formProps: e.formProps,
              onRegister: l
            }, {
              formRight: p(() => [
                s(u(M), {
                  type: "primary",
                  onClick: C,
                  loading: e.loading
                }, {
                  default: p(() => [
                    X
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              _: 1
            }, 8, ["api", "extraParams", "tableProps", "formProps"])
          ]),
          _: 1
        })
      ]),
      s(U, { onRegister: o }),
      s(Z, { onRegister: d }),
      s(z, { onRegister: n })
    ]));
  }
});
const ce = /* @__PURE__ */ Y(ee, [["__scopeId", "data-v-7ee09134"]]);
export {
  ce as default
};
