import { defineComponent as M, reactive as U, computed as F, ref as J, onMounted as K, resolveComponent as j, openBlock as u, createElementBlock as _, createElementVNode as C, unref as f, createBlock as p, mergeProps as y, withCtx as d, renderSlot as P, createVNode as k, createCommentVNode as v, Fragment as O, renderList as W, createTextVNode as Q, toDisplayString as X, resolveDynamicComponent as A, nextTick as Y } from "vue";
import { Button as x, Table as Z } from "ant-design-vue";
import { m as N, e as ee, _ as te } from "./index.e1ea4f73.js";
function oe(g) {
  const r = N({
    size: "small",
    pagination: {
      pageSizeOptions: ["10", "20", "30", "50", "100", "200", "500"],
      "show-total": (i) => `\u603B\u6570\u636E ${i} \u6761`,
      "show-quick-jumper": !0
    }
  }, g), { columns: t = [] } = r, m = t.filter((i) => {
    if (!i.hide)
      return !0;
    if (typeof i.hide == "boolean")
      return !i.hide;
    try {
      return i.hide && !i.hide();
    } catch {
      return !0;
    }
  });
  return m.find((i) => i.fixed) && !r.scroll && (r.scroll = { x: 800 }), r.columns = m, r;
}
function ne(g) {
  return N({
    queryForm: !0,
    actionProps: {
      colProps: {
        flex: 1
      }
    },
    formProps: {
      layout: "horizontal",
      rowAttr: {
        gutter: 10
      },
      baseColAttr: {
        span: 6
      },
      columns: [{
        field: "keywords",
        label: "\u5173\u952E\u5B57",
        component: "a-input",
        componentProps: {}
      }]
    }
  }, g);
}
const ae = { class: "search-box" }, re = { class: "actions-box" }, le = /* @__PURE__ */ Q("\u67E5\u8BE2"), se = /* @__PURE__ */ Q("\u91CD\u7F6E"), ce = {
  key: 0,
  class: "middle-box"
}, ie = { class: "table-content" }, ue = { class: "column-actions" }, fe = /* @__PURE__ */ M({
  __name: "Table",
  props: {
    api: {
      type: [Function],
      default: () => {
      }
    },
    extraParams: {
      type: [Object],
      default: () => ({})
    },
    autoGet: {
      type: [Boolean],
      default: !0
    },
    tableProps: {
      type: [Object],
      default: () => ({})
    },
    formProps: {
      type: [Object],
      default: () => ({})
    }
  },
  emits: ["handle-action", "register", "get-params"],
  setup(g, { emit: h }) {
    const r = g, t = U({
      searchQuery: {
        pageIndex: 1,
        pageSize: 30
      },
      loading: !1,
      tableData: {
        records: [],
        total: 0
      }
    }), m = F(() => {
      const { dataSource: e } = r.tableProps;
      if (e)
        return e || [];
      const { records: o } = t.tableData;
      return o || (Array.isArray(t.tableData) ? t.tableData : []);
    }), D = F(() => ne(r.formProps)), i = F(() => {
      const e = oe(r.tableProps);
      return Object.assign(e.pagination, {
        current: t.searchQuery.pageIndex,
        pageSize: t.searchQuery.pageSize,
        total: t.tableData.total || m.value.length || 0,
        defaultPageSize: t.searchQuery.pageSize
      }), e;
    }), B = J(null);
    function V() {
      const e = B.value;
      H(e.children), w(e);
    }
    function w(e, o = "table-content") {
      let n = 0;
      for (let a = 0; a < e.children.length; a++) {
        const l = e.children[a];
        l.className !== o && (n += l.offsetHeight);
      }
      return e.offsetHeight - n;
    }
    function H(e, o = "table-content") {
      for (let n = 0; n < e.length; n++) {
        const c = e[n];
        if (c.className === o)
          return c;
      }
      return {};
    }
    function T() {
      const e = $();
      h("get-params", e), t.loading = !0, r.api && r.api(e).then((o) => {
        t.tableData = o.data;
      }).finally(() => {
        t.loading = !1;
      });
    }
    function $() {
      const { columns: e = [] } = r.formProps.formProps || {}, o = {};
      return e.forEach((n) => {
        const { field: c, timeRangeFieldNames: a } = n;
        if (!c || !a)
          return;
        const { startTime: l, endTime: s } = a;
        if (t.searchQuery[c])
          try {
            t.searchQuery[l] = t.searchQuery[c][0], t.searchQuery[s] = t.searchQuery[c][1];
          } catch {
            console.log("\u89E3\u6790\u65F6\u95F4\u53C2\u6570\u5931\u8D25");
          }
      }), { ...r.extraParams, ...t.searchQuery, ...o };
    }
    function I() {
      t.searchQuery.pageIndex = 1, b();
    }
    function b() {
      T();
    }
    function R(e, o, n, c) {
      t.searchQuery.pageIndex = e.current, t.searchQuery.pageSize = e.pageSize, b();
    }
    function q(e) {
      const { resetFormData: o } = e;
      o(), Y(() => {
        b();
      });
    }
    function G(e, o) {
      const { hide: n = !1 } = e;
      if (typeof n == "boolean")
        return !n;
      try {
        return !n(o);
      } catch {
        return !0;
      }
    }
    function E({ type: e, item: o, record: n }) {
      e === "confirm" && o.popconfirm.confirm && o.popconfirm.confirm(n), e === "cancle" && o.popconfirm.cancle && o.popconfirm.cancle(n);
    }
    function z(e, o) {
      const { onClick: n } = e;
      h("handle-action", { item: e, record: o });
      try {
        n && n(o);
      } catch (c) {
        console.log("\u6267\u884C\u4E8B\u4EF6\u5931\u8D25", c);
      }
    }
    return h("register", { reload: I, getParams: $ }), K(() => {
      V(), r.autoGet && T();
    }), (e, o) => {
      const n = j("a-popconfirm"), c = j("a-tooltip");
      return u(), _("div", {
        class: "config-table table-box",
        ref_key: "tableRef",
        ref: B
      }, [
        C("div", ae, [
          f(D).queryForm ? (u(), p(f(ee), y({
            key: 0,
            modelValue: t.searchQuery,
            "onUpdate:modelValue": o[0] || (o[0] = (a) => t.searchQuery = a)
          }, f(D)), {
            actions: d((a) => [
              C("div", re, [
                P(e.$slots, "formLeft", {
                  actions: { ...a }
                }, void 0, !0),
                k(f(x), {
                  type: "primary",
                  loading: t.loading,
                  onClick: b
                }, {
                  default: d(() => [
                    le
                  ]),
                  _: 1
                }, 8, ["loading"]),
                k(f(x), {
                  loading: t.loading,
                  onClick: (l) => q(a)
                }, {
                  default: d(() => [
                    se
                  ]),
                  _: 2
                }, 1032, ["loading", "onClick"]),
                P(e.$slots, "formRight", {
                  actions: { ...a }
                }, void 0, !0)
              ])
            ]),
            _: 3
          }, 16, ["modelValue"])) : v("", !0)
        ]),
        e.$slots.middle ? (u(), _("div", ce, [
          P(e.$slots, "middle", {}, void 0, !0)
        ])) : v("", !0),
        C("div", ie, [
          k(f(Z), y(f(i), {
            loading: t.loading,
            dataSource: f(m),
            total: t.tableData.total,
            onChange: R
          }), {
            bodyCell: d(({ column: a, record: l }) => [
              a.dataIndex === "actions" ? P(e.$slots, "actions", {
                key: 0,
                column: a,
                record: l
              }, () => [
                C("div", ue, [
                  (u(!0), _(O, null, W(a.buttons, (s, L) => (u(), _(O, { key: L }, [
                    G(s, l) ? (u(), p(c, { key: 0 }, {
                      title: d(() => [
                        Q(X(s.title), 1)
                      ]),
                      default: d(() => [
                        s.popconfirm ? (u(), p(n, y({ key: 0 }, s.popconfirm, {
                          onConfirm: (S) => E({ type: "confirm", item: s, record: l }),
                          onCancel: (S) => E({ type: "cancle", item: s, record: l })
                        }), {
                          default: d(() => [
                            k(f(x), y({
                              shape: "circle",
                              loading: l.loading
                            }, s.props, {
                              onClick: (S) => z(s, l)
                            }), {
                              icon: d(() => [
                                (u(), p(A(s.icon)))
                              ]),
                              _: 2
                            }, 1040, ["loading", "onClick"])
                          ]),
                          _: 2
                        }, 1040, ["onConfirm", "onCancel"])) : (u(), p(f(x), y({
                          key: 1,
                          shape: "circle",
                          loading: l.loading
                        }, s.props, {
                          onClick: (S) => z(s, l)
                        }), {
                          icon: d(() => [
                            (u(), p(A(s.icon)))
                          ]),
                          _: 2
                        }, 1040, ["loading", "onClick"]))
                      ]),
                      _: 2
                    }, 1024)) : v("", !0)
                  ], 64))), 128))
                ])
              ], !0) : v("", !0)
            ]),
            _: 3
          }, 16, ["loading", "dataSource", "total"])
        ])
      ], 512);
    };
  }
});
const de = /* @__PURE__ */ te(fe, [["__scopeId", "data-v-6f3916f4"]]), me = de;
export {
  me as C
};
