import { ref as A, computed as I, h as T, defineComponent as j, reactive as z, watch as C, onMounted as $, resolveComponent as h, openBlock as B, createElementBlock as D, unref as p, createVNode as o, withCtx as i, createElementVNode as x, createCommentVNode as G, Fragment as q, renderList as H, createBlock as J, createTextVNode as y, toDisplayString as X } from "vue";
import { message as d, Card as N, Tree as ee, Button as M } from "ant-design-vue";
import { useRouter as te } from "vue-router";
import { C as ue } from "./index.40ace138.js";
import { d as l, n as ae, W as ne, k as f, h as oe, D as re, p as se, _ as ie } from "./index.e1ea4f73.js";
import { W as le } from "./WorkflowBackModal.b37170ba.js";
import { W as ce } from "./WorkflowFormRenderDrawer.bf54d327.js";
import { W as de } from "./WorkflowTaskModal.03a9d88f.js";
import "sanzhi-form-design-vue3";
import "axios";
import "./SanZhiFormRenderOA.234e856b.js";
const v = A([]), W = A([]), g = A([]), F = I(() => g.value.map((r) => r.instanceId)), pe = I(() => g.value.map((r) => r.id));
function fe() {
  return new Promise((n, r) => {
    l("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((a) => {
      const { data: c } = a;
      v.value = c, c.length && W.value.push(c[0].id), n(a);
    }).catch((a) => {
      r(a);
    });
  });
}
function me() {
  return new Promise((n, r) => {
    n([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function Ee(n) {
  const { archiveStatus: r, instanceRunStatus: a, instanceStatus: c } = n;
  return r ? { color: "success", text: "\u5DF2\u5F52\u6863" } : a === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : c ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function ye(n = {}, r) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: u }) {
          const { flowId: s, instanceId: b, id: _, title: t } = u, k = { flowId: s, instanceId: b, taskId: _ };
          return T("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              ae({ params: k, router: r });
            }
          }, t);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u4EBA",
        dataIndex: "senderName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: u }) {
          const s = Ee(u);
          return T(ne, {
            color: s.color,
            value: s.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        fixed: "right",
        width: 175,
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(u) {
              n.modal.openModal({ data: u });
            }
          },
          {
            title: "\u5DE5\u4F5C\u4EFB\u52A1",
            icon: "control-outlined",
            props: {
              type: "primary"
            },
            key: "task",
            onClick: function(u) {
              n.taskModal.openModal({ data: u });
            }
          },
          {
            title: "\u7EC8\u6B62\u5B9E\u4F8B",
            icon: "poweroff-outlined",
            props: {
              type: "danger"
            },
            key: "end",
            hide: function(u) {
              const { instanceRunStatus: s, instanceStatus: b } = u;
              return !(!s && !b);
            },
            onClick: async function(u) {
              try {
                await f({
                  content: "\u786E\u8BA4\u7EC8\u6B62\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              l("apis").endFlowByInstanceId({ id: u.instanceId }).then(() => {
                d.success("\u7EC8\u6B62\u6210\u529F"), n.table.reload();
              });
            }
          },
          {
            title: "\u5220\u9664\u5B9E\u4F8B",
            icon: "delete-outlined",
            props: {
              type: "danger"
            },
            key: "del",
            hide: function(u) {
              const { instanceRunStatus: s } = u;
              return s !== "END";
            },
            onClick: async function(u) {
              try {
                await f({
                  content: "\u786E\u8BA4\u5220\u9664\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              l("apis").deleteEndWorkflowTaskById({ id: u.id }).then(() => {
                d.success("\u5220\u9664\u6210\u529F"), n.table.reload();
              });
            }
          },
          {
            title: "\u64A4\u56DE",
            icon: "rollback-outlined",
            props: {
              type: "warning"
            },
            key: "return",
            hide: function(u) {
              const { recall: s } = u;
              return !s;
            },
            onClick: async function(u) {
              try {
                await f({
                  content: "\u786E\u8BA4\u64A4\u56DE\u5F53\u524D\u5B9E\u4F8B\u4E48\uFF1F"
                });
              } catch {
                return;
              }
              l("apis").recall({ id: u.id }).then(() => {
                d.success("\u64A4\u56DE\u6210\u529F"), n.table.reload();
              });
            }
          }
        ]
      }
    ],
    rowSelection: {
      onChange: (u, s) => {
        g.value = s;
      },
      selectedRowKeys: pe
    }
  };
}
function R(n = {}) {
  const r = n.tableQuery && n.tableQuery.categoryId, a = n.locationQuery || {};
  return {
    formProps: {
      layout: "inline",
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !a.noTree,
        defaultValue: r || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": v,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const be = { class: "workflow-manage" }, he = {
  key: 0,
  class: "left"
}, ge = { class: "tree-box" }, Be = { class: "right" }, Fe = /* @__PURE__ */ y(" \u5BFC\u51FA "), _e = /* @__PURE__ */ y(" \u7EC8\u6B62 "), ke = /* @__PURE__ */ y("\u4E00\u952E\u50AC\u529E"), we = /* @__PURE__ */ y("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65"), Ce = /* @__PURE__ */ y(" \u50AC\u529E "), De = /* @__PURE__ */ j({
  __name: "SanZhiWorkflowInstance",
  setup(n) {
    const r = te(), a = {};
    function c(e) {
      a.table = e;
    }
    function u(e) {
      a.modal = e;
    }
    function s(e) {
      a.workflowForm = e;
    }
    function b(e) {
      a.backModal = e;
    }
    function _(e) {
      a.taskModal = e;
    }
    const t = z({
      locationQuery: oe(),
      keyword: "",
      treeData: v,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: W,
      formProps: R(),
      tableProps: ye(a, r),
      tabsList: [],
      tableQuery: {
        status: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), k = I(() => !t.locationQuery.noTree);
    C(
      () => t.selectedKeys,
      (e, m) => {
        const w = e[0] || "";
        t.tableQuery.categoryId = w, a.table.reload();
      },
      { deep: !0 }
    ), C(
      () => t.tableQuery.categoryId,
      () => {
        g.value = [];
      }
    ), C(
      () => t.tableQuery.status,
      () => {
        g.value = [];
      }
    );
    function S() {
      return l("apis").getWorkflowTaskInstanceLaunchPageList;
    }
    function L() {
      const e = a.table.getParams();
      t.loading = !0, l("apis").getWorkflowTaskInstanceExportExcel({ ...e }).then((m) => {
      }).finally(() => {
        t.loading = !1;
      });
    }
    async function Q() {
      const e = F.value.length;
      if (!e) {
        d.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await f({
          content: `\u786E\u8BA4\u50AC\u529E\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${e}\u6761`
        });
      } catch {
        return;
      }
      l("apis").remindMyLaunchByInstanceList({ body: F.value }).then(() => {
        d.success("\u50AC\u529E\u6210\u529F");
      });
    }
    async function K({ key: e }) {
      if (e === "1") {
        try {
          await f({
            content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E48"
          });
        } catch {
          return;
        }
        l("apis").remindMyLaunchByInstanceList({ body: null }).then(() => {
          d.success("\u4E00\u952E\u50AC\u529E\u6210\u529F");
        });
        return;
      }
      try {
        await f({
          content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u4E48"
        });
      } catch {
        return;
      }
      l("apis").remindMyLaunchWaitByInstanceList({ body: null }).then(() => {
        d.success("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u6210\u529F");
      });
    }
    async function V() {
      const e = F.value.length;
      if (!e) {
        d.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await f({
          content: `\u786E\u8BA4\u7EC8\u6B62\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${e}\u6761`
        });
      } catch {
        return;
      }
      l("apis").endBatchFlowByInstanceId({ body: F.value }).then(() => {
        d.success("\u7EC8\u6B62\u6D41\u7A0B\u6210\u529F"), a.table.reload();
      });
    }
    return $(() => {
      me().then((e) => {
        t.tabsList = e;
      }), fe().then(() => {
        t.formProps = R(t);
      });
    }), (e, m) => {
      const w = h("a-radio-button"), U = h("a-radio-group"), P = h("a-menu-item"), Y = h("a-menu"), O = h("a-dropdown-button");
      return B(), D("div", be, [
        p(k) ? (B(), D("div", he, [
          o(p(N), { size: "small" }, {
            default: i(() => [
              x("div", ge, [
                o(p(ee), {
                  "tree-data": t.treeData,
                  selectedKeys: t.selectedKeys,
                  "onUpdate:selectedKeys": m[0] || (m[0] = (E) => t.selectedKeys = E),
                  fieldNames: t.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : G("", !0),
        x("div", Be, [
          o(p(N), { size: "small" }, {
            default: i(() => [
              o(p(ue), {
                api: S(),
                autoGet: !1,
                extraParams: t.tableQuery,
                tableProps: t.tableProps,
                formProps: t.formProps,
                onRegister: c
              }, {
                middle: i(() => [
                  o(U, {
                    value: t.tableQuery.status,
                    "onUpdate:value": m[1] || (m[1] = (E) => t.tableQuery.status = E),
                    onChange: a.table.reload
                  }, {
                    default: i(() => [
                      (B(!0), D(q, null, H(t.tabsList, (E, Z) => (B(), J(w, {
                        value: E.tabParam,
                        key: Z
                      }, {
                        default: i(() => [
                          y(X(E.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: i(() => [
                  o(p(M), {
                    type: "primary",
                    onClick: L,
                    loading: t.loading
                  }, {
                    default: i(() => [
                      Fe
                    ]),
                    _: 1
                  }, 8, ["loading"]),
                  o(p(M), {
                    danger: "",
                    onClick: V
                  }, {
                    default: i(() => [
                      _e
                    ]),
                    _: 1
                  }),
                  o(O, {
                    type: "danger",
                    onClick: Q
                  }, {
                    overlay: i(() => [
                      o(Y, { onClick: K }, {
                        default: i(() => [
                          o(P, { key: "1" }, {
                            default: i(() => [
                              ke
                            ]),
                            _: 1
                          }),
                          o(P, { key: "2" }, {
                            default: i(() => [
                              we
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    icon: i(() => [
                      o(p(re))
                    ]),
                    default: i(() => [
                      Ce
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        o(se, { onRegister: u }),
        o(le, { onRegister: b }),
        o(ce, { onRegister: s }),
        o(de, { onRegister: _ })
      ]);
    };
  }
});
const Le = /* @__PURE__ */ ie(De, [["__scopeId", "data-v-b1ca3e15"]]);
export {
  Le as default
};
